#include "interface.h"


/* Taille maximale des chaines correspondant aux preferences utilisateur */
#define PREF_SZ		100


/* 
 * Gestion des preferences de l'utilisateur 
 */

typedef struct {
	char playlistFile[PREF_SZ];
	char savePath[PREF_SZ];
	char lastChannel[PREF_SZ];
	int audioBitrate;
	int videoBitrate;
} t_prefData;



t_prefData* 	initPreferences(t_prefData* preferencesi, char* home, char* play);
t_prefData* 	getPreferences(t_prefData* preferences, char* conf);
void 			writeConfFile(t_prefData* preferences, char* conf);


/* Taille maximale des chaines correspondant aux commandes passees a VLC */
#define CMD_SZ		300

/* Type de structure pour conserver les commandes a passer au system */
typedef struct {
	char comVLC[CMD_SZ];
	char comKILL[CMD_SZ];
	char comTRAN[CMD_SZ];
} commande;




/* Taille des paquets lus pour recuperer la playlist */
#define PACKET_SIZE  	1024




/* Fonctions pour la recuperation de la playlist sur la freebox */
void 		getPlaylist(t_prefData* preferences);
void 		request(int socket_descr, char* request_host, char* request_path, t_prefData* preferences);
int 		readn(int fd, char *ptr, int n);
void 		getData(t_UserValues* gParam); 


/* Creation de l'IHM */
void 		createIHM(int argc, char* argv[], channel* listeChannel, t_prefData* preferences);

/* Gestion de la playlist sous forme de liste chainee */
channel* 	createPlaylist(channel* channelBloc, t_prefData* preferences); 
void 		destroyPlaylist(channel* channelBloc);
char* 		getStreamRTSP(char* stream, char* selectedChannel, channel* channelBloc);
commande* 	buildCommand (commande* cmd, char *streamRTSP, t_UserValues* gParam);

/* Gestion des enregistrement deja programms*/
void		launchCommand(commande* cmd, t_UserValues* gParam);
void		createProgList(char* home);

/* Recuperation de la date et heure du systeme pour transmettre a l'IHM*/
t_UserValues* getSystemTime (t_UserValues* gParam);

/* Fonctions de calcul des bitrates*/
unsigned long int computeBitrate (t_UserValues* gParam);

/* sauvegarde la derniere chaine enregistre*/
void saveChannel(char* Channel);

/* Supprime une entree dans le log*/
void deleteInLog(int i);
