/*
 *
 * Definition des symboles de debug et petits utils
 *
 */



/* Deux petits outils de debug souvent pratiques.
 * - Macro DENTER a mettre dans chaque fonction, permet de tracer les differents
 * passages dans le code. Redirige vers la sortie d'erreur.
 * - Symbole de DEBUG pour des printf de travail :)
 */

#define DEBUG
#define DEGROBUG

#ifdef DEGROBUG
#define DENTER fprintf(stderr, "_denter_ Calling %s in %s:%i\n", __FUNCTION__, __FILE__, __LINE__)
#else
#define DENTER
#endif




