/*
 *
 * Structures et prototypes de fonctions pour l'interface graphique en GTK+
 *
 */



/* Structure pour identifier tous les pointeurs des widgets dont on va devoir
 * recuperer la valeur. C'est ce pointeur qui est passe en parametre des
 * callbacks, et permet d'eviter les variables globales.
 */
typedef struct {
	GtkWidget *RadioPP;
	GtkWidget *ChaineCombo;
	GtkWidget *DateEntry;
	GtkWidget *HeuredebEntry;
	GtkWidget *HeurefinEntry;
	GtkWidget *PathEntry;
	GtkWidget *SpinABitrate;
	GtkWidget *SpinVBitrate;
} t_allWidgetsToGet;

/*Toujours le meme probleme avec les callback, un seul argument et deux structures a passer...*/
typedef struct {
	GtkWidget *SpinVBitrate;
	GtkWidget *SpinABitrate;
	GtkWidget *SaveEntry;
	GtkWidget *PlaylistEntry;
} t_prefWidgets;

/* Liste des fonctions callback */
void 	onDestroy (GtkWidget *pWidget, gpointer pData);
void 	schedule (GtkWidget *pWidget, gpointer pData);
void 	selectFile (GtkWidget *pWidget, gpointer pData);
void 	setBitrateSensitive (GtkWidget *pWidget, gpointer pData);
void	preferencesIHM(GtkWidget* widget, t_prefData *preferences);
void	killSubWindow(GtkWidget* widget, gpointer data);
void	saveConf(GtkWidget *pWidget, gpointer pData);
void	AboutDialog(GtkWidget* widget, gpointer data);
void	unSchedule (GtkWidget *pWidget, gpointer pData);
void	scheduleInfos (GtkWidget *pWidget, gpointer pData);
void	selectPath (GtkWidget *pWidget, gpointer pData);
void	selectList (GtkWidget *pWidget, gpointer pData);

/* Fonctions de verification sysntaxique */
int 	errorInterfaceChairKeyboard (t_allWidgetsToGet *pAllWidgets, GtkWidget *pWidget);
void 	createDialog (GtkWidget *pWidget, int mode, char *message);

/* Mise a jour du bit rate */
void 	bitRateCdSize (GtkWidget *pWidget, gpointer pData);

/*TODO Changer ce nom, je sait je suis chiant, mais on ne kill pas, on detruis
un kill est bourrin, on desaloue toute la memoire du prog, et on vire le pid,
nous la on fait du propre... enfin moi j'essaye bien souvent mais c'est un autre probleme ;)*/
/* Kill */
void 	killIHM();

/*Pour alleger un peu createIHM car elle deviens enorme et illisible*/
/* Fonction de cration du menu*/
GtkWidget* createMenuBar(GtkWidget *TopLevelWindow, t_prefData* preferences);
GtkWidget* fillScrollbar(GtkWidget *VBoxTab2);

/* Recupere les parametres de l'interface graphique */
t_UserValues* retrieveParam(t_UserValues* gParam, t_allWidgetsToGet* pAllWidgets);


GtkWidget *CheckButton[40], *HBoxSched[40];
