/*
 * interface.h
 *
 *
 * -------------------------------------------------------------------------
 * Contient les types et variables statiques qui doivent etre partagees par
 * l'interface graphique et le coeur du programme.
 * Ce structures sont communes a toutes les implementations des interfaces, Gtk,
 * Qt, Cocoa ...
 *
 */



/* Taille maximale des chaines de caracteres correspondant  l'IHM. Identifiants
 * des chaines et toutes les autres valeurs de retour.
 * A priori c'est une valeur a bien choisir, si trop petit, on risque de tronquer
 * la fin d'une ligne 'rtsp://...' par exemple
 */
#define LINE_SZ			250	



/* Type correspondant a la structure contenant les valeurs courantes de l'IHM */

typedef	struct {
	char chaine[LINE_SZ];
	char date[LINE_SZ];
	char heuredeb[LINE_SZ];
	char heurefin[LINE_SZ];
	char transcodage[LINE_SZ];
	char path[LINE_SZ];
	int audioBitrate;
	int videoBitrate;
} t_UserValues;


/* Bon, la il y'a eu des grosses interrogation et choix d'implementation. Le
 * probleme c'est qu'on ne peut passer qu'un seul argument  un callback. Soit
 * on passait un pointeur sur la structure des widgets, soit un pointeur sur la
 * structure qui recupere leurs valeurs. Dans les deux cas on a forcement une
 * variable globale.  L'interet c'est qu'on peut maintenant faire une fonction
 * generique pour la recuperation des donnees.  Grosse explication tout ca  ...
 * :)
 */
t_UserValues *gParam;


/* Type de bloc pour la liste chainee representant la playlist avec meme
 * justification qu'au dessus */

typedef struct _channel {
	char channelID[LINE_SZ];
	char channelRTSP[LINE_SZ];
	struct _channel* next;
} channel;


channel* listeChannel;


typedef struct {
	char canal[LINE_SZ];
	char vlcAtNumber[6];
	char transcodeAtNumber[6];
	char startHour[6];
	char endHour[6];
	char date[11];
} atprog;


atprog scheduled[40];
